OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.NV.ConditionalRender

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_conditional_render extension, see http://www.opengl.org/registry/specs/NV/conditional_render.txt.

Synopsis

- glBeginConditionalRender :: GLuint -> GLenum -> IO ()
- glEndConditionalRender :: IO ()
- gl_QUERY_WAIT :: GLenum
- gl_QUERY_NO_WAIT :: GLenum
- gl_QUERY_BY_REGION_WAIT :: GLenum
- gl_QUERY_BY_REGION_NO_WAIT :: GLenum

# Functions

glBeginConditionalRender :: GLuint -> GLenum -> IO ()

glEndConditionalRender :: IO ()

# Tokens

gl_QUERY_WAIT :: GLenum

gl_QUERY_NO_WAIT :: GLenum

gl_QUERY_BY_REGION_WAIT :: GLenum

gl_QUERY_BY_REGION_NO_WAIT :: GLenum